{% block markdown_row %}
  {{ form_row(form, {
    attr: { class: (app.user.enablePostPreviews ?? false) ? 'js-markdown-preview' },
    help: block('_markdown_help'),
    help_attr: { class: 'hideable' },
    raw_help: true
  }) }}
  <div class="markdown-preview" id="{{ form.vars.id }}_preview"></div>
{%- endblock markdown_row %}

{% block _markdown_help %}
  <input type="checkbox" class="hideable__checkbox" id="{{ id~'_markdown_help' }}">
  <span class="fg-muted text-sm">{{ 'help.markdown_allowed'|trans }}</span>

  <label class="hideable__toggle no-underline text-sm" for="{{ id~'_markdown_help' }}">
    <span class="no-underline__exempt">{{- 'markdown_type.help'|trans }}</span>
    <span class="hideable__indicator" role="presentation"></span>
  </label>

  {% apply spaceless %}
    <table class="formatting-help hideable__hide">
      <tbody>
        <tr>
          <td>
            <p>{{ 'markdown_type.paragraph'|trans }}</p>
            <p class="no-margin">{{ 'markdown_type.another_paragraph'|trans }}</p>
          </td>
          <td>
            <kbd>
              {{ 'markdown_type.paragraph'|trans }}<br>
              <br>
              {{ 'markdown_type.another_paragraph'|trans }}
            </kbd>
          </td>
        </tr>
        <tr>
          <td>
            {{ 'markdown_type.line'|trans }}<br>
            {{ 'markdown_type.break'|trans }}
          </td>
          <td>
            <kbd>
              {{ 'markdown_type.line'|trans }} \<br>
              {{ 'markdown_type.break'|trans }}
            </kbd>
          </td>
        </tr>
        <tr>
          <td><em>{{ 'markdown_type.emphasis'|trans }}</em></td>
          <td><kbd>*{{ 'markdown_type.emphasis'|trans }}*</kbd></td>
        </tr>
        <tr>
          <td><strong>{{ 'markdown_type.strong_emphasis'|trans }}</strong></td>
          <td><kbd>**{{ 'markdown_type.strong_emphasis'|trans }}**</kbd></td>
        </tr>
        <tr>
          <td><del>{{ 'markdown_type.strikethrough'|trans }}</del></td>
          <td><kbd>~~{{ 'markdown_type.strikethrough'|trans }}~~</kbd></td>
        </tr>
        <tr>
          <td>
            <h1>{{ 'markdown_type.heading_1'|trans }}</h1>
            <h2>{{ 'markdown_type.heading_2'|trans }}</h2>
            <h3>{{ 'markdown_type.heading_3'|trans }}</h3>
            <h4>{{ 'markdown_type.heading_4'|trans }}</h4>
            <h5>{{ 'markdown_type.heading_5'|trans }}</h5>
            <h6 class="no-margin">{{ 'markdown_type.heading_6'|trans }}</h6>
          </td>
          <td>
            <kbd>
              {{ 'markdown_type.heading_1'|trans }}<br>
              ===<br>
              <br>
              {{ 'markdown_type.heading_2'|trans }}<br>
              ---<br>
              <br>
              ### {{ 'markdown_type.heading_3'|trans }}<br>
              #### {{ 'markdown_type.heading_4'|trans }}<br>
              ##### {{ 'markdown_type.heading_5'|trans }}<br>
              ###### {{ 'markdown_type.heading_6'|trans }}
            </kbd>
          </td>
        </tr>
        <tr>
          <td>
            <ul class="no-margin">
              <li>{{ 'markdown_type.list_item'|trans }}</li>
              <li>{{ 'markdown_type.list_item'|trans }}</li>
            </ul>
          </td>
          <td>
            <kbd>
              * {{ 'markdown_type.list_item'|trans }}<br>
              * {{ 'markdown_type.list_item'|trans }}<br>
            </kbd>
          </td>
        </tr>
        <tr>
          <td>
            <ol class="no-margin">
              <li>{{ 'markdown_type.list_item'|trans }}</li>
              <li>{{ 'markdown_type.list_item'|trans }}</li>
            </ol>
          </td>
          <td>
            <kbd>
              1. {{ 'markdown_type.list_item'|trans }}<br>
              2. {{ 'markdown_type.list_item'|trans }}<br>
            </kbd>
          </td>
        </tr>
        <tr>
          <td>
            <a href="#" tabindex="-1">{{ 'markdown_type.link'|trans }}</a><br>
            <a href="#" tabindex="-1">/f/{{ 'markdown_type.forum'|trans }}</a><br>
            <a href="#" tabindex="-1">/u/{{ 'markdown_type.user'|trans }}</a><br>
            <a href="#" tabindex="-1">/w/{{ 'markdown_type.wiki_page'|trans }}</a>
          </td>
          <td>
            <kbd>
              [{{ 'markdown_type.link'|trans }}](http://example.com)<br>
              /f/{{ 'markdown_type.forum'|trans }}<br>
              /u/{{ 'markdown_type.user'|trans }}<br>
              /w/{{ 'markdown_type.wiki_page'|trans }}
            </kbd>
          </td>
        </tr>
        <tr>
          <td>
            <blockquote>
              <p>{{ 'markdown_type.blockquote'|trans }}</p>
              <p class="no-margin">{{ 'markdown_type.another_paragraph'|trans }}</p>
            </blockquote>
          </td>
          <td>
            <kbd>
              &gt; {{ 'markdown_type.blockquote'|trans }}<br>
              &gt;<br>
              &gt; {{ 'markdown_type.another_paragraph'|trans }}
            </kbd>
          </td>
        </tr>
        <tr>
          <td>{{ 'markdown_type.horizontal_rule'|trans }}<hr></td>
          <td>
            <kbd>
              {{ 'markdown_type.horizontal_rule'|trans }}<br>
              <br>
              ---
            </kbd>
          </td>
        </tr>
        <tr>
          <td><code>{{ 'markdown_type.inline_code'|trans }}</code></td>
          <td><kbd>`{{ 'markdown_type.inline_code'|trans }}`</kbd></td>
        </tr>
        <tr>
          <td>
            <code>
              <span class="fg-blue">&lt;</span><span class="fg-orange">div</span><span class="fg-blue">&gt;</span><br>
              &nbsp;&nbsp;<span class="fg-text">{{ 'markdown_type.code_block'|trans }}</span><br>
              <span class="fg-blue">&lt;/</span><span class="fg-orange">div</span><span class="fg-blue">&gt;</span><br>
            </code>
          </td>
          <td>
            <kbd>
              ~~~html<br>
              &lt;div&gt;<br>
              &nbsp;&nbsp;{{ 'markdown_type.code_block'|trans }}<br>
              &lt;/div&gt;<br>
              ~~~
            </kbd>
          </td>
        </tr>
      </tbody>
    </table>
  {% endapply %}
{% endblock _markdown_help %}
